import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
  },
  state: {
    userInfo: JSON.parse(JSON.stringify(localStorage.getItem('userInfo'))) || undefined,
    shopifyObj:{}
  },
  mutations: {
    setUserInfo(state, profile) {
      state.userInfo = profile
    },
    setShopKey(state,data){
      state.shopifyObj = data
    }
  },
  actions: {
  },
})
